Page MenuHomePhabricator

[DSE] Remove MemDep-based implementation
ClosedPublic

Authored by nikic on Mar 3 2021, 11:42 AM.

Details

Summary

The MemorySSA-based implementation has been enabled without issue for a few months now, so it doesn't seem useful to keep the old implementation around anymore. This drops the MemDep-based implementation.

Diff Detail

Event Timeline

nikic created this revision.Mar 3 2021, 11:42 AM
nikic requested review of this revision.Mar 3 2021, 11:42 AM
Herald added a project: Restricted Project. · View Herald TranscriptMar 3 2021, 11:42 AM
fhahn added a comment.Mar 6 2021, 11:15 AM

I think we could also move the tests out of the MSSA directory?

llvm/lib/Transforms/Scalar/DeadStoreElimination.cpp
415

I think this can be dropped now as well?

1560

Should we move the comment to the top of the file?

nikic updated this revision to Diff 328799.Mar 6 2021, 12:01 PM
nikic marked 2 inline comments as done.

Move tests out of MSSA directory, move comment to drop, drop no longer needed template.

fhahn accepted this revision.Mar 6 2021, 1:43 PM

LGTM, thanks for removing the dead code!

MemorySSA-based DSE has been the default for a while now. If people are still using the legacy implementation for some reason, we can re-visit while we address any issues preventing them from switching.

This revision is now accepted and ready to land.Mar 6 2021, 1:43 PM
This revision was landed with ongoing or failed builds.Mar 7 2021, 9:17 AM
This revision was automatically updated to reflect the committed changes.